using UnityEngine.UI;

namespace Cryville.Crtr.Config.UI {
	public class PVPString : PropertyValuePanel {
		protected override void OnValueUpdated() { _inputField.text = (string)MappedValue; }

		InputField _inputField;

		void Awake() {
			_inputField = GetComponent<InputField>();
			_inputField.onValueChanged.AddListener(OnValueChanged);
		}

		void OnValueChanged(string value) {
			RawValue = value;
		}
	}
}
